*,
*::before,
*::after {
  box-sizing: border-box;
}

html {
  height: auto;
  width: 100%;
  overflow-x: hidden;
}

body {
  height: 100%;
  font-family: $font-primary;
  background-color: $white;
  overflow-x: hidden;
}

.container {
  $padding: 70px;
  padding-left: $padding;
  padding-right: $padding;

  @include media-breakpoint-down(lg) {
    padding-left: 20px;
    padding-right: 20px;
  }
}

p {
  margin: 0;
  font-family: $font-primary;
  font-size: 18px;
  font-weight: 400;
  line-height: 29.7px;

  @include media-breakpoint-down(md) {
    font-size: 16px;
    line-height: 26px;
  }
}

a {
  text-decoration: none;
}

h1, h2, h3, h4, h5, h6 {
  font-family: $font-primary;
  margin: 0;
  padding: 0;
}

button, textarea, input {
  outline: none;
}

ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

img {
  pointer-events: none;
  height: auto;
}

.btn {
  transition: .2s;
  white-space: nowrap;
  cursor: pointer;

  @include media-breakpoint-down(sm) {
    width: 100%;
  }

  &:hover {
    opacity: 0.9;
  }
  
  &:active {
    opacity: 0.7;
  }
}


// .modal {

//   &-content {
//     border: none;
//     min-width: 526px;
//     border-radius: 40px;
//     padding: 0 50px;

//     @include media-breakpoint-down(sm) {
//       min-width: 100%;
//       padding: 0 16px;
//     }
//   }

//   &-header {
//     justify-content: center;
//     border: none;

//     .close {
//       margin: 0;
//       font-size: 50px;
//       position: absolute;
//       top: 14px;
//       right: 30px;
//       padding: 0;
//     }
//   }
//   &-title {
//     text-align: center;
//     margin-top: 40px;
//   }

//   &-body {
    
//     form {

//       label {
//         color: $blue-font;
//         font-weight: 500;
//         font-size: 14px;
//         line-height: 17px;
//       }

//       input, textarea {
//         background: #F4F7FF;
//         border-radius: 8px;  
//         color: $black;
//         padding: 31px 16px;
//         font-weight: 400;
//         font-size: 16px;
//         margin-bottom: 24px;
//         border: none;
        
//         &::placeholder {
//           color: $gray;
//         }
//       }
//     }
//   }

//   &-footer {
//     border: none;

//     .button {
//       margin: 0 auto;
//       padding: 0px 186px;
      
//       @include media-breakpoint-down(sm) {
//         padding: 0;
//         width: 100%;
//       }
//     }
//   }
// }